import json

import hydra
from omegaconf import OmegaConf


@hydra.main(config_path="config", config_name="config")
def main(cfg):
    cfg_resolved = OmegaConf.to_container(cfg, resolve=True)
    cfg_resolved_json = json.dumps(cfg_resolved, indent=4)

    print(cfg_resolved_json)


if __name__ == "__main__":
    main()
