import json

from lpmn_client_biz import Connection, IOType, Task, delete, download, upload

lpmn = [
    "morphodita",
    {"posconverter": {"input_fromat": "ccl", "output_fromat": "json"}},
    "winer",
]

_connection = Connection()
FILE = upload(_connection, "test.txt")

task = Task(lpmn, _connection)
output_file_id = task.run(FILE, IOType.FILE, verbose=True)
downloaded = download(_connection, output_file_id, IOType.TEXT)
result = json.loads(downloaded)
with open("test.jsonl", "wt", encoding="utf8") as f:
    json.dump(result, f, ensure_ascii=False)
